AMULEWEB(1)

NOM
amuleweb - seruveur Web d'aMule

SYNOPSIS
amuleweb [-h <hôte>] [-p <port>] [-P <motdepasse>] [-f <chemin>] [-q] [-v] [-w] [-t <nom>] [-s <port>] [-z] [-Z] [-A <motdepasse>] [-G <motdepasse>] [-a] [-d] [-L]

amuleweb [-f <chemin>] --create-config-from=<chemin>

amuleweb [--help] [--version]

amuleweb [--amule-config-file=<chemin>]

DESCRIPTION
amuleweb prend en charge l'accès à aMule à travers un navigateur Web. Vous pouvez le démarrer en même temps qu'amule(1), or séparemment, n'importe quand après. Les options peuvent être spécifiées par la ligne de commande ou par l'intermédiare d'un fichier de configuration. Les options spécifiées dans la ligne de commande ont priorité sur celles contenues dans le fichier de configuration.

-h, --host=<hôte>
    Hôte où aMule tourne (défaut: localhost). <hôte> peut être une adresse IP ou un nom DNS.

-p, --port=<port>
    Port d'aMule pour les Connexions Externes, tel que défini dans Preferences->Contrôles à Distance (défaut: 4712).

-P, --password=<motdepasse>
    Mot de passe pour les Connexions Externes.

-f, --config-file=<chemin>
    Utiliser le fichier de configuration désigné. Le fichier de configuration par défaut est ~/.aMule/remote.conf

-q, --quiet
    N'afficher aucune sortie sur stdout. Il est utile d'utiliser -q pour faire tourner amuleweb en service (daemon), i.e. en lançant 'amuleweb -q &'

-v, --verbose
    Mode bavard - affiche aussi les messages de debugage.

-w, --write-config
    Ecrire les options de la ligne de commande dans le fichier de configuration et quitter.

--create-config-from=<chemin>
    Créer un fichier de configuration basé sur <chemin>, qui doit pointer sur un fichier de configration d'aMule valide, et quitter ensuite.

-t, --template=<nom>
    Charger le modèle nommé <nom>. Voir aussi la section PRISE EN CHARGE DES SKINS.

-s, --server-port=<port>
    Port HTTP du serveur Web. C'est le port sur lequel votre navigateur Web doit pointer (défault: 4711).

-z, --enable-gzip
    Activer la compression gzip dans les échanges HTTP pour diminuer l'utilisation de la bande passante.

-Z, --disable-gzip
    Désactiver la compression gzip (comportement par défaut).

-A, --admin-pass=<motdepasse>
    Mot de passe pour un accès complet au serveur Web.

-G, --guest-pass=<motdepase>
    Mot de passe pour un accès restreint au seveur Web (invité).

-a, --allow-guest
    Autoriser l'accès aux invités.

-d, --deny-guest
    Interdire l'accès aux invités (défaut).

-L, --load-settings
    Charger/décharger les réglages du serveur Web depuis un aMule distant. Ceci permet d'ignorer les options de la ligne de commande et du fichier de configuration et charger celles-ci depuis aMule. Lors de la sauvegarde des préférences, celles-ci ne seront pas sauvegardées dasn le fichier de configuratio, mais vers aMule. (Bien sûr, ceci n'est valable que pour les options qui peuvent être configurées dans Preferences->Contrôle à Distance)

--amule-config-file=<chemin>
    Chemin vers le fivhier de configuration d'aMule. NE PAS UTILISER DIRECTEMENT! aMule utilise cette option lorsqu'il démarre amuleweb au lancement d'aMule. Cette option provoque la non prise en compte des options de ligne de commande et du fichier de configuration, celles-ci étant lues dans le fichier de configuration fourni en paramètre, et induit aussi les options -q -L

--help
    Afficher l'aide d'utilisation et quitter.

--version
    Afficher les informations sur la version courante et quitter.

NOTE
Pour toutes les options prenant en paramètre un <chemin>, si le chemin ne contient pas de répertoire (i.e. juste un nom de fichier), alors il sera considéré comme étant dans le répertoire de configuration d'aMule, ~/.aMule.

PRISE EN CHARGE DES SKINS
amuleweb est capable d'afficher ses informations dans différents skins. Ces skins sont appelés modèles, et vous pouvez dire à amuleweb de charger un modèle spécifique par l'otion de ligne de commande -t. Les modèles sont recherchés dans deux endroits: d'abord dans ~/.aMule/webserver/ puis dans $(pkgdatadir)/webserver/ ($(pkgdatadir) est le répertoire d'installation des données indépendantes de l'architecture, la plupart du temps quelque chose comme /usr/share/amule). Chaque modèle doit être dans un sous-répertoire du nom du modèle, et ce répertoire doit contenir tous les fichiers dont à besoin le modèle. Le fichier modèle doit avoir comme nom aMule.tmpl.

Par exemple, le modèle par défaut (nommé 'default') se trouve dans webserver/default/, et ce répertoure contient aMule.tmpl ainsi qu'un grand nombre de fichiers d'images.

FICHIERS
~/.aMule/remote.conf
~/.aMule/webserver/
$(pkgdatadir)/webserver/

EXEMPLE
Typiquement amuleweb sera lancé la première fois de la façon suivante:

amuleweb -h hostname -p ECport -P ECpassword -s HTTPport -A AdminPassword -w

ou

amuleweb --create-config-from=/home/username/.aMule/amule.conf

Cela sauvegardera les options dans $HOME/.aMule/remote.conf, et les fois suivantes, vous n'aurez à taper que:

amuleweb

Bien sûr, vous pouvez ajouter plus ou moins d'options de ligne de commande, ou vous pouvez aussi n'en spécifier aucune.

SIGNALEMENT DES BUGS
Reportez les bugs sur notre forum (http://forum.amule.org/), ou dans notre bugtracker (http://bugs.amule.org/). N'utilisez ni un e-mail, ni notre liste de diffusion ni ne reportez directement un bug à un membre de notre equipe.

COPYRIGHT
aMule et tous les utilitaires associés sont distribués sous licence GNU General Public License.

VOIR AUSSI
amule(1), amulecmd(1)

TRADUCTION
ThePolish, 2005